ru.bitel.bgbilling.modules.tv.runtime

## Class ServiceSpecRuntime.TvChannelSpecRuntimeList

- java.lang.Object
- - ru.bitel.common.util.AbstractPeriodItemSet<ServiceSpecRuntime.TvChannelSpecRuntime>
  - - ru.bitel.bgbilling.modules.tv.runtime.ServiceSpecRuntime.TvChannelSpecRuntimeList

- Enclosing class:
    ServiceSpecRuntime

      public static class ServiceSpecRuntime.TvChannelSpecRuntimeList
      extends ru.bitel.common.util.AbstractPeriodItemSet<ServiceSpecRuntime.TvChannelSpecRuntime>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `ru.bitel.common.util.AbstractPeriodItemSet.PeriodItem`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `entries`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvChannelSpecRuntimeList(java.util.List<ServiceSpecRuntime.TvChannelSpecRuntime> entryList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ServiceSpecRuntime.TvChannelSpecRuntime>` | `list(long millisFrom, long millisTo)`

    - ### Methods inherited from class ru.bitel.common.util.AbstractPeriodItemSet

      `add, contains, contains, containsAll, containsAll, containsMillis, count, count, countMillis, countMillis, get, isCoincide, item, items, items, items, map, nextActivateTime, remove, size, toString, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TvChannelSpecRuntimeList

          public TvChannelSpecRuntimeList(java.util.List<ServiceSpecRuntime.TvChannelSpecRuntime> entryList)

  - ### Method Detail

    - #### list

          public java.util.List<ServiceSpecRuntime.TvChannelSpecRuntime> list(long millisFrom,
                                                                              long millisTo)